---
title: Window.closed
slug: Web/API/Window/closed
tags:
  - API
  - HTML DOM
  - NeedsCompatTable
  - Property
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p>The <code><strong>Window.closed</strong></code> read-only property indicates whether the referenced window is closed or not.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>isClosed</em> = <em>windowRef</em>.closed;
</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}}. Possible values:</p>

<ul>
 <li><code>true</code>: The window has been closed.</li>
 <li><code>false</code>: The window is open.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Change_the_URL_of_a_window_from_a_popup">Change the URL of a window from a popup</h3>

<p>The following example demonstrates how a popup window can change the URL of the window that opened it. Before attempting to change the URL, it checks that the current window has an opener using the {{domxref("window.opener")}} property and that the opener isn't closed:</p>

<pre class="brush:js">// Check that an opener exists and is not closed
if (window.opener &amp;&amp; !window.opener.closed) {
  window.opener.location.href = 'http://www.mozilla.org';
}</pre>

<p>Note that popups can only access the window that opened them.</p>

<h3 id="Refreshing_a_previously_opened_popup">Refreshing a previously opened popup</h3>

<p>In this example the function <code>refreshPopupWindow()</code> calls the <code>reload()</code> method of the popup's location object to refresh its data. If the popup hasn't been opened yet or the user has closed it a new window is opened.</p>

<pre class="brush:js">const popupWindow = null;

function refreshPopupWindow() {
  if (popupWindow &amp;&amp; !popupWindow.closed) {
    // popupWindow is open, refresh it
    popupWindow.location.reload(true);
  } else {
    // Open a new popup window
    popupWindow = window.open('popup.html', 'dataWindow');
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-window-closed', 'window.closed')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>
